com.io7m.r2.meshes

## Class R2MeshBasic

- java.lang.Object
- - com.io7m.r2.meshes.R2MeshBasic

- All Implemented Interfaces:
    R2MeshBasicType, R2MeshType

      public final class R2MeshBasic
      extends Object
      implements R2MeshBasicType

  The default implementation of the `R2MeshBasicType` interface.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `getNormals()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>>` | `getPositions()`
    `it.unimi.dsi.fastutil.BigList<R2MeshTriangleType>` | `getTriangles()`
    `it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>>` | `getUVs()`
    `it.unimi.dsi.fastutil.BigList<R2MeshBasicVertexType>` | `getVertices()`
    `int` | `hashCode()`
    `static R2MeshBasicBuilderType` | `newBuilder(long v_count, long t_count)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.r2.meshes.R2MeshBasicType

      `matchMesh`

- - ### Method Detail

    - #### newBuilder

          public static R2MeshBasicBuilderType newBuilder(long v_count,
                                                          long t_count)

      Parameters:
        `v_count` - A hint to the implementation regarding the number of vertices that are expected to be created. The implementation will allocate `v_count` vertices ahead of time to avoid having to perform any internal reallocations during building.
        `t_count` - A hint to the implementation regarding the number of triangles that are expected to be created. The implementation will allocate `t_count` triangles ahead of time to avoid having to perform any internal reallocations during building.
      Returns:
        A new mutable mesh builder

    - #### getNormals

          public it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> getNormals()

      Specified by:
        `getNormals` in interface `R2MeshBasicType`
      Returns:
        The list of normal vectors

    - #### getPositions

          public it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI3D<R2SpaceObjectType>> getPositions()

      Specified by:
        `getPositions` in interface `R2MeshBasicType`
      Returns:
        The list of position vectors

    - #### getUVs

          public it.unimi.dsi.fastutil.BigList<com.io7m.jtensors.parameterized.PVectorI2D<R2SpaceTextureType>> getUVs()

      Specified by:
        `getUVs` in interface `R2MeshBasicType`
      Returns:
        The list of UV vectors

    - #### getVertices

          public it.unimi.dsi.fastutil.BigList<R2MeshBasicVertexType> getVertices()

      Specified by:
        `getVertices` in interface `R2MeshBasicType`
      Returns:
        The list of vertices

    - #### getTriangles

          public it.unimi.dsi.fastutil.BigList<R2MeshTriangleType> getTriangles()

      Specified by:
        `getTriangles` in interface `R2MeshBasicType`
      Returns:
        The list of triangles

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2017 <code@io7m.com> http://io7m.com